ISIS - Bug #2392

Corrections and Improvements to control network classes
2016-02-16 03:55 PM - Kris Becker

Status: Closed

Priority: High

Assignee: Kristin Berry

Category: API

Target version: 3.4.12 (FY16 R2 2016-03-17 Mar)

Impact: No user impact expected. Software Version:
Description

The ControlPoint class does not initialize the invalid flag when constructing point from an existing control network.

Some additional methods are needed in the ControlNet class to take ownership of all ControlPoints (memory) to efficiently support
combining networks.

History

#1 - 2016-02-16 04:03 PM - Kristin Berry

- Assignee set to Kristin Berry

#2 - 2016-02-17 11:50 AM - Tammy Becker

- Status changed from New to Acknowledged

What is the user impact of this task under the current system of isis?

#3 - 2016-02-17 02:19 PM - Kristin Berry
- Impact updated

#4 - 2016-02-17 02:19 PM - Kristin Berry
- Impact updated

#5 - 2016-02-17 02:22 PM - Lynn Weller

Sorry, but could you define "valid" and "invalid"? | don't really understand what is being fixed and/or improved.
Will the changes affect any programs in particular?

#6 - 2016-02-17 02:59 PM - Kristin Berry

Okay, I'm looking into / thinking about a better impact statement.

#7 - 2016-02-17 03:05 PM - Kristin Berry
- Impact updated

#8 - 2016-02-18 09:46 AM - Kristin Berry
- Status changed from Acknowledged to Assigned

#9 - 2016-02-18 01:50 PM - Kristin Berry

- Status changed from Assigned to In Progress

There are two changes in this ticket and neither should have any user impact:
(1) The "invalidity" variable that | mentioned earlier is not actually being used anywhere in ISIS, so there is no functional impact expected from this
change.

(2) For the other change, Kris added some new tools to the ControlNet class that can be used in the future, but are not currently used anywhere in

ISIS. So, there is no functional change here either. The new tools he added can be user-tested only after there is something (like an application) that
uses them, which would be in a future ticket.

#10 - 2016-02-18 01:50 PM - Kristin Berry
- Impact updated

#11 - 2016-02-18 02:04 PM - Lynn Weller
Thanks Kristin!

#12 - 2016-02-19 01:39 PM - Kristin Berry

This is built and tested on Fedora 21 at: /work/projects/isis/latest/m02392/isis

| did not add a test for ControlPoint, since there was no functional change.
| did add a test to the end of ControlNet's unitTest.cpp to test the new take() functionality.

Kris -- please let me know if | should build this for something else, if you'd like to do additional testing.

#13 - 2016-02-19 01:39 PM - Kristin Berry

- Status changed from In Progress to Resolved

#15 - 2016-02-19 02:45 PM - Kris Becker

- Status changed from Resolved to Closed

Thanks!

#16 - 2016-02-28 11:08 AM - Jean Backer
- Status changed from Closed to Feedback

#17 - 2016-02-29 11:06 AM - Kristin Berry
- Status changed from Feedback to Closed
